// flexp4 model


periods 20000;

var c;
varexo f;

parameters gam, nu, rho, phi, theta, beta, delta, psi, dd, zz;

gam = 1.0;
nu = 3;
beta = .9;
rho = (1/beta)-1;
phi = 1;
theta = 4.8;
delta = .025;
psi = ((gam+beta*(1-delta)-1)*(phi+1)+(1-beta*(1-delta))*(1+gam*phi)*(theta-1))/((theta-1)*(1+gam*phi));
dd = (1/(1-beta*(1-delta))-1);
zz = 1;

model;
c^(-gam) = beta*(1-delta)*(((c(+1)/(theta*((c(+1)^((1+gam*phi)*(theta-1)/(phi+1)))*(zz^(1-theta))*((theta/(theta-1))^(phi*(theta-1)/(phi+1)))))+f)/f)*c(+1)^(-gam));
end;


initval;
f = 1;
c = 0.0856;
end;

steady;
check;

shocks;
var f = 0.0009^2;
end;


stoch_simul(dr_algo=1, drop=200) c;

plot(c,'b+');
title('Plot of c ');
legend('c');
